/* The Modal (background) */
.modal {
    display: none; 
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
    z-index: 10000;
}

/* Modal Content */
.modal-content {
	background-color: #fefefe;
	margin: 100px auto 10% auto;
	padding: 20px;
	box-shadow: 0 0 10px rgba(0, 0, 0, .1);
	width: 80%;
	border-radius: 20px;
	border-radius: 15px;
	position: relative;
	padding-top: 42px;
    width: 320px;
}

.modal-title {
	position: absolute;
	top: 0;
}

/* The Close Button */
.close {
	color: #aaa;
	float: right;
	font-size: 28px;
	font-weight: bold;
	position: absolute;
	top: 2px;
	right: 14px;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

#callbackForm {
    display: flex;
    flex-direction: column;
}

#callbackForm label {
    margin-top: 10px;
}

#callbackForm input,
#callbackForm textarea {
    padding: 10px;
    margin-top: 5px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

#callbackForm button {
    padding: 10px;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

#callbackForm button:hover {
    background-color: #45a049;
}

.modal-content .callback-header-image {
	position: absolute;
	left: 7px;
	top: -76px;
	width: 200px;
	height: auto;
}

.callback-note {
    font-size: 0.95rem;
	line-height: 1.1rem;
	font-style: italic;
    margin-top: 36px;
}

@media (max-width: 576px) {
    .modal-content {
        width: 92%;
    }
}